#!/usr/bin/python
import time
import RPi.GPIO as GPIO

GPIO.setmode(GPIO.BCM)   # pouzijeme BCM adresaci - GPIO 2-27
GPIO.setwarnings(False)  # potlaceni chybovych GPIO zprav

# Definice pouzitych GPIO pinu
GPIO_TRIG = 19   # vystup
GPIO_ECHO = 20   # vstup

# Nastavime GPIO piny 
GPIO.setup(GPIO_TRIG,GPIO.OUT) 
GPIO.setup(GPIO_ECHO,GPIO.IN)  

hodnoty = [0, 0, 0, 0, 0]   # sem ulozime 5 hodnot mereni

print ("Měřím...")

for i in range(len(hodnoty)):
    GPIO.output(GPIO_TRIG, 0)  # nastavime TRIG na False (Low)
    time.sleep(0.5)            # nechame zarizeni trochu vydechnout

    GPIO.output(GPIO_TRIG, 1)  
    time.sleep(0.00001)        # posleme pres TRIG 10ti mikrosekundový High impuls
    GPIO.output(GPIO_TRIG, 0)
    start = time.time()        # a zaciname merit cas

    while GPIO.input(GPIO_ECHO) == 0:
        start = time.time()   # tohle uz jsme provedli, ale sem se vubec nemusime dostat

    while GPIO.input(GPIO_ECHO) == 1:  # uz je zmereno
        stop = time.time()

    cas = stop - start    # cas mereni
    vzdal = cas * 34300   # vynasobime rychlosti zvuku ve vzduchu (cm/s)

    # Zjistili jsme vzdalenost od dalkomeru k merenemu objektu a zpet, proto delime 2
    vzdal = int(vzdal / 2)
    hodnoty[i] = vzdal
    
print("změřeno", hodnoty)        

min_num = min(hodnoty)  
max_num = max(hodnoty)
hodnoty.remove(min_num)   # nejmensi a nejvetsi hodnotu vyhodim
hodnoty.remove(max_num)
print("optimalizováno", hodnoty)

prumer = sum(hodnoty) / len(hodnoty)
prumer = int(prumer)
print ("průměr", prumer, "cm")

GPIO.cleanup()   # Reset nastaveni GPIO
